---
lang: en
title: 'API docs: rest.trierouter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.trierouter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [TrieRouter](./rest.trierouter.md)

## TrieRouter class

Router implementation based on trie

<b>Signature:</b>

```typescript
export declare class TrieRouter extends BaseRouter 
```
<b>Extends:</b> BaseRouter

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(options)](./rest.trierouter._constructor_.md) |  | Constructs a new instance of the <code>TrieRouter</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [addRouteWithPathVars(route)](./rest.trierouter.addroutewithpathvars.md) |  |  |
|  [findRouteWithPathVars(verb, path)](./rest.trierouter.findroutewithpathvars.md) |  |  |
|  [listRoutesWithPathVars()](./rest.trierouter.listrouteswithpathvars.md) |  |  |


